
import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';

import '../../custom_exception.dart';
import 'channel_repository_template.dart';

class tempConfig_chat<C,M,U>{
  final StateProvider<String?>? dialogC;
  final StateProvider<CustomException?>? exDialogC;
  final Provider<channelRepo<C,M,U>> repoPvd;
  final Stream<List<C>> Function() stream;
  final StateProvider<C?> selectedCPvd;
  final StateProvider<M?> msgOffsetPvd;
  final String Function(C) getId;
  final int? Function(C,String) getUread;
  final C Function(C,String,int) setUread;
  final DateTime? Function(C) getLastMsgTime;
  tempConfig_chat({
    required this.repoPvd,
    required this.stream,
    required this.selectedCPvd,
    required this.msgOffsetPvd,
    required this.getId,
    required this.getUread,
    required this.setUread,
    required this.getLastMsgTime,
    this.dialogC,this.exDialogC});
}


class tempConfig_Msg<C,M>{
  final StateProvider<String?>? dialogC;
  final StateProvider<CustomException?>? exDialogC;
  final Provider<channelRepo<C,M,dynamic>> repoPvd;
  // final Future<Iterable<M>> Function(String offfset,C channel) loadb4;
  // final Future<Iterable<M>> Function(String offfset,C channel) loadaf;
  // final Stream<List<M>> Function() stream;
  final FirebaseFirestore firestore;
  final M Function(QueryDocumentSnapshot<Map<String,dynamic>>,C) msgFromDoc;
  final StateProvider<bool> loadingPvd;
  final String Function(M) getId;
  final String Function(C) getcPath;
  final DateTime Function(M) getTime;
  // final String timeKey;
  tempConfig_Msg({
    required this.repoPvd,
    // required this.loadb4,
    // required this.loadaf,
    // required this.stream,
    required this.firestore,
    required this.msgFromDoc,
    required this.loadingPvd,
    required this.getId,
    required this.getcPath,
    required this.getTime,
    // required this.timeKey,
    this.dialogC,this.exDialogC});
}