
import 'package:algolia/algolia.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:pc_plugins/controllers/repository_template.dart';

import '../custom_exception.dart';
import '../model/search_data/search_data.dart';

class tempConfig<T>{
  final String pageid;
  final int defaultPSize;
  final StateProvider<String?>? dialogC;
  final StateProvider<CustomException?>? exDialogC;
  final Provider<baseTRepo<T>> dataSrcPvd;
  final Future<searchData<T>>Function(String? qr,Reader reader, {List<String> attributes,
      List<AlgoliaQuery Function(AlgoliaQuery)>?filters ,List<String>? strFilters,
      int page,int hperp,String? containID})? customSearchFunc;

  // ///for repository search
  // final String Function(T d) getId;
  //
  // ///for simple dialog search
  // final T Function(AlgoliaObjectSnapshot d) getfromAlg;
  // //shown on suggestions
  // final List<String> attributesAlgo;

  final Function(Reader)? onSearchChange;
  final Function(Reader)? onSearchClick;
  tempConfig({
    required this.dataSrcPvd,
    required this.pageid,
    // required this.getId,
    // required this.getfromAlg,
    // this.attributesAlgo=const ["objectID"],
    this.onSearchChange,
    this.onSearchClick,
    this.defaultPSize=10,
    this.dialogC,this.exDialogC,
    this.customSearchFunc,});
}