
import '../config_template.dart';

class repo_tempConfig<T>extends tempConfig<T>{
  ///for repository search
  final String Function(T d) getId;
  final List<String>? scopeFilters;
  final bool Function(T,String)? isUnread;

  repo_tempConfig({
    required dataSrcPvd,
    required pageid,
    required this.getId,
    this.scopeFilters,
    this.isUnread,
    onSearchChange,
    onSearchClick,
    defaultPSize=10,
    dialogC,exDialogC,
    customSearchFunc}) : super(
      dataSrcPvd:dataSrcPvd,
      pageid:pageid,
      onSearchChange: onSearchClick,
      onSearchClick: onSearchClick,
      defaultPSize: defaultPSize,
      dialogC: dialogC,
      exDialogC: exDialogC,
      customSearchFunc:customSearchFunc
  );
}