
import 'dart:async';

import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:pc_plugins/controllers/simple_fb_gallery/types.dart';

class SimpleDcFbConfig<T>{
  final FirebaseFirestore fstore;
  final String fbPath;
  final sortChoice? initialSortBy;
  final int pageSize;
  final FutureOr<T> Function(QueryDocumentSnapshot<Map<String,dynamic>>) fromDoc;
  ///toDoc=toJson
  final Map<String,dynamic> Function(T) toDocWithId;
  final T Function(T,String) setId;
  final List<FilterFunc> Function(String id)? constFilters;
  final Function(FirebaseException) onException;
  final Function(bool)? onLoad;
  final Function(int)? onReachEnd;
  SimpleDcFbConfig({required this.fbPath,required this.fstore,
    required this.onException,required this.setId,
    this.pageSize=10,required this.fromDoc, required this.toDocWithId,
    this.initialSortBy,this.constFilters,
    this.onLoad,this.onReachEnd});
}