
import 'package:algolia/algolia.dart';
import '../config_template.dart';

class sug_tempConfig<T>extends tempConfig<T>{
  ///for simple dialog search
  final T Function(AlgoliaObjectSnapshot d) getfromAlg;
  //shown on suggestions
  final List<String> attributesAlgo;

  sug_tempConfig({
    required dataSrcPvd,
    required pageid,
    required this.getfromAlg,required this.attributesAlgo,
    onSearchChange,
    onSearchClick,
    defaultPSize=10,
    dialogC,exDialogC,
    customSearchFunc}) : super(
      dataSrcPvd:dataSrcPvd,
      pageid:pageid,
      onSearchChange: onSearchClick,
      onSearchClick: onSearchClick,
      defaultPSize: defaultPSize,
      dialogC: dialogC,
      exDialogC: exDialogC,
      customSearchFunc:customSearchFunc
  );
}
