

import '../others.dart';

String formated(DateTime d,{bool min=false,bool date=true}){
  final datee=months[d.month-1]+" "+d.day.toString()+
      (d.day==1?"st":d.day==2?"nd":d.day==3?"rd":"th")+", "+d.year.toString();
  final minu=" ${d.hour}:${d.minute<10?"0":""}${d.minute}";

  return (date?datee:"")+ (min?minu:"");
}

String formatTime(List<int> r){
  return add0IfNeeded(r[0]%12)+":"+
      add0IfNeeded(r[1])+(r[0]>=12?" PM":" AM");
}

String add0IfNeeded(int value) {
  if (value < 10) {
    return '0$value';}
  return value.toString();
}

String add0IfNeeded_str(String value) {
  if (value .length<2) {
    return '0$value';}
  return value;
}

String? loc2utc(DateTime? d){
  return d?.toUtc().toIso8601String();
}

DateTime? utc2loc(String? s){
  return DateTime.tryParse(s??"")?.toLocal();
}

DateTime utc2locRq(String s){
  return DateTime.parse(s).toLocal();
}


extension DateTimeExtension on DateTime {
  DateTime next(int day) {
    return add(
      Duration(days: (day - weekday) % DateTime.daysPerWeek,),
    );
  }
}